from modeltranslation.translator import translator, TranslationOptions
from .models import *


class StaticPage_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'FAQ_title', 'seo_title', 'seo_description', 'seo_text'
    )
translator.register(StaticPage, StaticPage_TranslationOptions)

class Block_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'description', 'text', 'title', 'FAQ_title'
    )
translator.register(Block, Block_TranslationOptions)


class FAQitem_TranslationOptions(TranslationOptions):
    fields = (
        'name', 'question', 'answer'
    )
translator.register(FAQitem, FAQitem_TranslationOptions)

